
module Kernel

  # Easy access to an object's specialized class,
  # otherwise known as it's metaclass or singleton class.

  def own(&blk)
    (class << self; self; end).module_eval( &blk ) if blk
    return (class << self; self; end)
  end

end

# Maybe a little bonus feature? Shhh... don't tell Matz ;-)
#class Module
#  public :attr, :attr_reader, :attr_writer, :attr_accessor
#end
